with GNATCOM.Dispinterface;

package MSHTML.IHTMLFontNamesCollection_Object is

   type IHTMLFontNamesCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_length
     (This : IHTMLFontNamesCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Getu_newEnum
     (This : IHTMLFontNamesCollection_Type)
     return GNATCOM.Types.VARIANT;

   function item
     (This  : IHTMLFontNamesCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLFontNamesCollection_Object;

